package com.tanpu.feo.feojob.feign.wxmp;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @author: zejia
 */
//@FeignClient(value = "service-wxmp", url = "http://172.19.125.193:8179/wxmp")
//@FeignClient(value = "service-wxmp", url = "http://127.0.0.1:8179/wxmp")
@FeignClient(value = "service-wxmp", url = "${tanpu.feo-wxmp.svc:}", fallbackFactory = FeignbackForWxMp.class, path = "/wxmp")
public interface FeignClientForWxMp {

    @PostMapping(value = "/wx/kf/sendMessage/{appId}/{openId}",consumes = MediaType.TEXT_PLAIN_VALUE)
    void sendMessage(@PathVariable("appId") String appId, @PathVariable("openId") String openId,@RequestBody String value);
}
